Page MenuHomePhabricator

Shortcut namespace redirect on zhwikisource
Closed, ResolvedPublic

Description

set up namespace redirect from
WS -> Wikisource:
CAT -> Category:

see https://zh.wikisource.org/w/index.php?oldid=1737110#WS重定向Wikisource

Related Objects

Mentioned Here
P8954 T230548

Event Timeline

Viztor created this task.Aug 15 2019, 11:22 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptAug 15 2019, 11:22 AM
A2093064 updated the task description. (Show Details)Aug 15 2019, 1:45 PM
A2093064 moved this task from Backlog to Site configuration on the Chinese-Sites board.
A2093064 added a subscriber: A2093064.
Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 15 2019, 4:21 PM

Change 530413 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Add WS and CAT as aliases for zhwikisource namespaces

https://gerrit.wikimedia.org/r/530413

DannyS712 added a project: User-Urbanecm.
DannyS712 moved this task from Unsorted to Awaiting review and deployment on the User-DannyS712 board.
DannyS712 moved this task from Backlog to To deploy on the User-Urbanecm board.

Change 530413 merged by jenkins-bot:
[operations/mediawiki-config@master] Add WS and CAT as aliases for zhwikisource namespaces

https://gerrit.wikimedia.org/r/530413

Mentioned in SAL (#wikimedia-operations) [2019-08-19T18:31:35Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: b21bbc0: Add WS and CAT as aliases for zhwikisource namespaces (T230548) (duration: 00m 47s)

Urbanecm closed this task as Resolved.Aug 19 2019, 6:31 PM

@Urbanecm This seems to render already existed CAT: and WS: prefixed shortcut in the main namespace unreachable, could you run the script to migrate those? Thanks.

Mentioned in SAL (#wikimedia-operations) [2019-08-21T10:45:48Z] <Urbanecm> Run mwscript namespaceDupes.php --wiki=zhwikisource --add-prefix=FIXME --fix (T230548)

@Urbanecm This seems to render already existed CAT: and WS: prefixed shortcut in the main namespace unreachable, could you run the script to migrate those? Thanks.

Sure, done. Output is at P8954.

FYi: Several pages needs fixing, they have FIXME prefix.

FYi: Several pages needs fixing, they have FIXME prefix.

Appreciate it. Will fix those ASAP.